Subject: [Gendispatch] GenDispatch Virtual Interim doodle poll

From: "Pete Resnick" <[email-masked]>
Date: Fri, 14 Aug 2020 14:19:37 -0500

I got a chance to chat with Francesca, and so I've set up a doodle poll:

https://doodle.com/poll/xzkzwxahhz9nph2f

I've chosen a bunch of times that are good or bad to varying degrees for 
Europe, the Americas, east Asia, and the South Pacific. I'll see if we 
can get agreement on two meetings that everyone can at least say, "If 
Needed" to one of them.

Please fill it out ASAP so we can get these meetings scheduled.

Thanks,

pr
-- 
Pete Resnick https://www.episteme.net/
All connections to the world are tenuous at best